<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BasicHGWOptions](./bitburner.basichgwoptions.md)

## BasicHGWOptions interface

Options to affect the behavior of [hack](./bitburner.ns.hack.md)<!-- -->, [grow](./bitburner.ns.grow.md)<!-- -->, and [weaken](./bitburner.ns.weaken.md)<!-- -->.

**Signature:**

```typescript
interface BasicHGWOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [additionalMsec?](./bitburner.basichgwoptions.additionalmsec.md) |  | number | _(Optional)_ Number of additional milliseconds that will be spent waiting between the start of the function and when it completes. |
|  [stock?](./bitburner.basichgwoptions.stock.md) |  | boolean | _(Optional)_ Set to true this action will affect the stock market. |
|  [threads?](./bitburner.basichgwoptions.threads.md) |  | number | _(Optional)_ Number of threads to use for this function. Must be less than or equal to the number of threads the script is running with. |

